Søg i Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I'm being prompted to update firefox but was told 52.9.0 is last version to run on xp

  • 3 svar
  • 2 har dette problem
  • 152 visninger
  • Seneste svar af crankygoat

more options

Should I download something newer like 52.9.1 on an XP pc?

Valgt løsning

52.9.1 will work on XP.

Note that you may be prompted to update by sites or by Firefox, and then be told there are no further updates anyway. This sort of thing happens with EOL'd operating systems.

If you get update messages in the future, you will likely just have to ignore them.

Læs dette svar i sammenhæng 👍 1

Alle svar (3)

more options

Valgt løsning

52.9.1 will work on XP.

Note that you may be prompted to update by sites or by Firefox, and then be told there are no further updates anyway. This sort of thing happens with EOL'd operating systems.

If you get update messages in the future, you will likely just have to ignore them.

more options

There is no official 52.9.1 AFAIK, so 52.9.0 is the last version for your platform.

more options

Yes, it was only in the Tinderbox, never released.